Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter
Class OWLModelWriter

    java.lang.Object
      edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter.OWLModelWriter

Direct Known Subclasses:
  OWLModelOrderedWriter

    public class OWLModelWriter

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Apr 7, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

The `OWLModelWriter` can be used to write out a `TripleStore` in a specified `OWLModel` in RDF/XML format.

Constructor Summary
`OWLModelWriter(OWLModel model, TripleStore tripleStore, Writer writer)` Creates an object that can be used to write an `OWLModel` in RDF/XML format to a specified rdfwriter.
`OWLModelWriter(OWLModel model, TripleStore tripleStore, XMLWriter xmlWriter)` Creates an object that can be used to write an `OWLModel` in RDF/XML format to a specified `XMLWriter`.

Method Summary
`protected RDFXMLContentWriter` | `getContentWriter(OWLModel model, TripleStore tripleStore)`
`XMLWriter` | `getXmlWriter()`
`void` | `write()` Causes the RDF/XML representation of the model to be written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLModelWriter

    public OWLModelWriter(OWLModel model,
                          TripleStore tripleStore,
                          Writer writer)

  Creates an object that can be used to write an `OWLModel` in RDF/XML format to a specified rdfwriter.

  Parameters:
    `model` - The model to be serialized to the rdfwriter.
    `tripleStore` - The triplestore that contains the triples to be serialised.
    `writer` - The `Writer` that the RDF/XML representation of the model should be written to.

### OWLModelWriter

    public OWLModelWriter(OWLModel model,
                          TripleStore tripleStore,
                          XMLWriter xmlWriter)

  Creates an object that can be used to write an `OWLModel` in RDF/XML format to a specified `XMLWriter`. This version of the constructor takes an `XMLWriter` to allow fine grained control over namespaces etc.

  Parameters:
    `model` - The model to be serialized to the rdfwriter.
    `tripleStore` - The triplestore that contains the triples to be serialised.
    `xmlWriter` - The `XMLWriter` that will do the work of creating the RDF/XML.

Method Detail

### getXmlWriter

    public XMLWriter getXmlWriter()

### write

    public void write()
               throws IOException

  Causes the RDF/XML representation of the model to be written.

  Throws:
    `IOException`

### getContentWriter

    protected RDFXMLContentWriter getContentWriter(OWLModel model,
                                                   TripleStore tripleStore)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.